<template>
  <div id="home">
    <NavBar/>
    <div class="body">
      <div class="content">
        <div class="currently">
          <h2>Đang diễn ra</h2>
          <div v-if="activityList.length > 0" class="activities">
            <div v-for="item in activityList" :key="item">
              <ActivityCard :activity="item"/>
            </div>
          </div>
        </div>
      </div>
      <Footer/>
    </div>
  </div>
</template>

<script>
import NavBar from '@/components/NavBar.vue'
import ActivityCard from '@/components/ActivityCard.vue'
import Footer from '@/components/Footer.vue'
import DonationService from '@/services/DonationService'

export default {
  name: 'Home-page',
  components: {
    NavBar,
    Footer,
    ActivityCard
  },
  data() {
    return {
      activityList: [
        {
          id: 2081231248723,
          name: "Donation 1"
        },
        {
          id: 2081231248313,
          name: "Donation 2"
        },
        {
          id: 2081223331248313,
          name: "Donation 3"
        },

      ]
    }    
  },
  methods: {
    async getDonations(){
      try{
        let response = await DonationService.getDonations()
        console.log(response)
        if(response.status == 200){
          this.activityList = response.data.filter(donate => donate.enable == true)
        }
        else{          
          alert(response.statusText)
        }        
      }
      catch(err){        
        console.log(err)
        alert('Fail to get Doantions')
      }
      finally{
        console.log('getDonations')
      }
    }
  },
  mounted() {
    // if(this.$store.getters.isAuthenticated)
      this.getDonations()
  }
}
</script>

<style scoped>
#home {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  display: flex;
  flex-direction: column;
}
.body {  
  width: 100%;
  height: 100%;
  display: flex;
  overflow-y: auto;
  flex-direction: column;
}

.content {
  width: 100%;
  margin-bottom: 40px;
}

.currently {
  margin: 0 auto;
  max-width: 960px;
}

.activites{
  direction: column;
}

</style>